Page MenuHomePhabricator

[SLP] Refactoring of EdgeInfo and UserTreeIdx in buildTree_rec().
ClosedPublic

Authored by vporpo on May 10 2019, 11:16 AM.

Details

Summary

This is a follow-up refactoring patch after the introduction of usable TreeEntry pointers in D61706. The EdgeInfo struct can now use a TreeEntry pointer instead of an index in VectorizableTree.

Diff Detail

Repository
rL LLVM

Event Timeline

vporpo created this revision.May 10 2019, 11:16 AM
vporpo updated this revision to Diff 200115.May 17 2019, 4:28 PM

Minor change: Fixed double printing of TreeEntry index in the dumpVectorizableTree() debug function.

I have no problems with this @ABataev @dtemirbulatov any comments?

Looks good to me either.

This revision is now accepted and ready to land.May 18 2019, 4:39 PM

Thanks for the review. Please commit the change.

This revision was automatically updated to reflect the committed changes.